karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Otasek (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-5611) karaf.bat still uses endorsed dirs with Java 9 install
Date Fri, 09 Mar 2018 21:07:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-5611?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16393589#comment-16393589
] 

David Otasek commented on KARAF-5611:
-------------------------------------

Has there been any progress on this?

I'm not terribly familiar with batch files, but I modified karaf.bat my last working build
to work with Java 9 on Windows 10. The changes I made are localised to lines 395-400; I set
%JAVA_VERSION% to 9 explicitly, and then removed the quotes (") from the IF statement. This
gets it executing, even if it isn't a proper fix, and will most certainly crash if run on
non-Java 9 systems.

 My modified batch is here: [^karaf.bat].

 

> karaf.bat still uses endorsed dirs with Java 9 install
> ------------------------------------------------------
>
>                 Key: KARAF-5611
>                 URL: https://issues.apache.org/jira/browse/KARAF-5611
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 4.2.0.M2
>         Environment: Running on Windows 10 Enterprise v 1703
> java version "9.0.4"
> Java(TM) SE Runtime Environment (build 9.0.4+11)
> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
>            Reporter: David Otasek
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 4.2.0
>
>         Attachments: karaf.bat
>
>
> karaf.bat does appear to recognise my Java 9, and still attempts to execute with endorsed
dirs, resulting in this error message:
> {quote}-Djava.endorsed.dirs=C:\Program Files\Java\jre-9.0.4\jre\lib\endorsed;C:\Program
Files\Java\jre-9.0.4\lib\endorsed;C:\Users\D Otasek\Desktop\cytoscape-windows-3.7.0-SNAPSHOT\framework\bin\..\lib\endorsed
is not supported. Endorsed standards and standalone APIs
> in modular form will be supported via the concept of upgradeable modules.
> Error: Could not create the Java Virtual Machine.
> Error: A fatal exception has occurred. Program will exit.{quote}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message